Feedback

Get Feedback by Run ID

get

Retrieve feedback for a specific run. Returns null if no feedback exists.

Authorizations
x-api-keystringRequired
Path parameters
runIdstringRequired

UUID of the run to get feedback for

Responses
get
/v1/feedback/run/{runId}
GET /v1/feedback/run/{runId} HTTP/1.1
Host: api.toolregistry.ai
x-api-key: YOUR_API_KEY
Accept: */*
{
  "id": "text",
  "runId": "text",
  "rating": "positive",
  "comment": "text",
  "feedbackSource": {
    "type": "user",
    "userId": "text",
    "metadata": {
      "device": "text",
      "platform": "text",
      "version": "text",
      "sessionId": "text",
      "userAgent": "text"
    }
  },
  "metadata": {
    "version": "text",
    "sessionId": "text",
    "experimentId": "text",
    "environment": "text",
    "clientVersion": "text"
  },
  "createdAt": "text",
  "updatedAt": "text"
}

Upsert Feedback

put

Create or update feedback for a specific run

Authorizations
x-api-keystringRequired
Path parameters
runIdstringRequired

UUID of the run to provide feedback for

Body
ratingstring · enumOptional

Required when creating new feedback

Possible values:
commentstringOptional
Responses
put
/v1/feedback/run/{runId}
PUT /v1/feedback/run/{runId} HTTP/1.1
Host: api.toolregistry.ai
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 296

{
  "rating": "positive",
  "comment": "text",
  "source": {
    "type": "user",
    "userId": "text",
    "metadata": {
      "device": "text",
      "platform": "text",
      "version": "text",
      "sessionId": "text",
      "userAgent": "text"
    }
  },
  "metadata": {
    "version": "text",
    "sessionId": "text",
    "experimentId": "text",
    "environment": "text",
    "clientVersion": "text"
  }
}
{
  "id": "text",
  "runId": "text",
  "rating": "positive",
  "comment": "text",
  "feedbackSource": {
    "type": "user",
    "userId": "text",
    "metadata": {
      "device": "text",
      "platform": "text",
      "version": "text",
      "sessionId": "text",
      "userAgent": "text"
    }
  },
  "metadata": {
    "version": "text",
    "sessionId": "text",
    "experimentId": "text",
    "environment": "text",
    "clientVersion": "text"
  },
  "createdAt": "text",
  "updatedAt": "text"
}

Get Feedback by ID

get

Retrieve feedback by its ID

Authorizations
x-api-keystringRequired
Path parameters
feedbackIdstringRequired

UUID of the feedback to retrieve

Responses
get
/v1/feedback/{feedbackId}
GET /v1/feedback/{feedbackId} HTTP/1.1
Host: api.toolregistry.ai
x-api-key: YOUR_API_KEY
Accept: */*
{
  "id": "text",
  "runId": "text",
  "rating": "positive",
  "comment": "text",
  "feedbackSource": {
    "type": "user",
    "userId": "text",
    "metadata": {
      "device": "text",
      "platform": "text",
      "version": "text",
      "sessionId": "text",
      "userAgent": "text"
    }
  },
  "metadata": {
    "version": "text",
    "sessionId": "text",
    "experimentId": "text",
    "environment": "text",
    "clientVersion": "text"
  },
  "createdAt": "text",
  "updatedAt": "text"
}

Last updated